summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCtibor <ctibor.brancik@seznam.cz>2014-08-06 22:25:29 +0200
committerCtibor <ctibor.brancik@seznam.cz>2014-08-06 22:25:29 +0200
commit8ec2d68fff5a117d433043c69100e0e2db1284ac (patch)
tree98e29f80df6acb396d16883454d56b3c9e2131dd
parentaff966f6dc98cc0f053c8488407d5877a6120494 (diff)
downloadbrancik-overlay-8ec2d68fff5a117d433043c69100e0e2db1284ac.tar.gz
brancik-overlay-8ec2d68fff5a117d433043c69100e0e2db1284ac.tar.bz2
Adding sys-firmware/raspberrypi-firmware live ebuild.
-rw-r--r--sys-firmware/raspberrypi-firmware/Manifest2
-rw-r--r--sys-firmware/raspberrypi-firmware/files/raspberrypi-firmware.envd4
-rw-r--r--sys-firmware/raspberrypi-firmware/raspberrypi-firmware-9999.ebuild87
3 files changed, 93 insertions, 0 deletions
diff --git a/sys-firmware/raspberrypi-firmware/Manifest b/sys-firmware/raspberrypi-firmware/Manifest
new file mode 100644
index 0000000..c1701b6
--- /dev/null
+++ b/sys-firmware/raspberrypi-firmware/Manifest
@@ -0,0 +1,2 @@
+AUX raspberrypi-firmware.envd 120 SHA256 81c6d2802ecb16aebd139895510c138114f6f7fc4eeee5d52e4d05209333bba9 SHA512 5803bd3dd16e07e814b50aeffed12115effb70e1a933faf39a6a29c8851b026ecc03b138943fd0910948bd6e676a37a035ef3fbf5d809e11e0419fd3530632b7 WHIRLPOOL e76830cd70ce750101733684ece8c500b7729db7bb23ea64ba209d98ec592e274fd5638909129fb42825a1897eae3f4274e1ed353bd0460f751de958aac1cabf
+EBUILD raspberrypi-firmware-9999.ebuild 2014 SHA256 d75bc912705ca0b212562e18e270b80794e71968bdf0ac8b5773b96e928686b1 SHA512 3a46de704130fc054b9d3700ff53b46f3c3de6f1064617c8e88abeec7c7461982be2fd223be5419ee686b31969b4ce2886aec9ae1b7007bd3882fd54f25b9313 WHIRLPOOL 34c6aaf22badfdf263fc8d11729ce699b202a8e6ae7cdac6cdd717973f68990cfe4aeaf5cba192c182b5d90b1b273ec3caea988eb3a383fb159d20e92636563f
diff --git a/sys-firmware/raspberrypi-firmware/files/raspberrypi-firmware.envd b/sys-firmware/raspberrypi-firmware/files/raspberrypi-firmware.envd
new file mode 100644
index 0000000..303814e
--- /dev/null
+++ b/sys-firmware/raspberrypi-firmware/files/raspberrypi-firmware.envd
@@ -0,0 +1,4 @@
+PATH="/opt/vc/bin/:/opt/vc/sbin"
+ROOTPATH="/opt/vc/bin/:/opt/vc/sbin"
+LDPATH="/opt/vc/lib/"
+OPENGL_PROFILE="raspberrypi" \ No newline at end of file
diff --git a/sys-firmware/raspberrypi-firmware/raspberrypi-firmware-9999.ebuild b/sys-firmware/raspberrypi-firmware/raspberrypi-firmware-9999.ebuild
new file mode 100644
index 0000000..2b88c9c
--- /dev/null
+++ b/sys-firmware/raspberrypi-firmware/raspberrypi-firmware-9999.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="4"
+
+DESCRIPTION="Proprietary libraries for the Broadcom BCM2835 SoC (including the Raspberry Pi computer)"
+HOMEPAGE="http://www.broadcom.com/ http://www.raspberrypi.org/"
+
+inherit git-2
+
+EGIT_REPO_URI="git://github.com/raspberrypi/firmware.git"
+EGIT_PROJECT="raspberrypi-firmware.git"
+
+SLOT="0"
+
+KEYWORDS="arm"
+
+# TODO: Make the samples actually optional
+IUSE="X +hardfp +samples"
+
+DEPEND="!media-libs/bcm2835-libs
+ X? ( || ( <media-libs/mesa-8.0[-egl,-gles,-openvg] >=media-libs/mesa-8.0[-egl,-gles1,-gles2,-openvg] ) )"
+RDEPEND="${DEPEND}"
+
+RESTRICT="mirror strip test"
+
+# QA Silencing
+QA_TEXTRELS="
+ opt/vc/lib/libbcm_host.so
+ opt/vc/lib/libGLESv2.so
+ opt/vc/lib/libluammal.so
+ opt/vc/lib/libmmal.so
+ opt/vc/lib/libEGL.so
+ opt/vc/lib/libopenmaxil.so
+"
+
+QA_EXECSTACK="
+ opt/vc/bin/vchiq_test
+ opt/vc/bin/vcdbg
+ opt/vc/bin/vcmemmap
+ opt/vc/bin/tvservice
+ opt/vc/bin/edidparser
+ opt/vc/bin/vcgencmd
+ opt/vc/sbin/vcfiled
+"
+
+src_install() {
+ if use hardfp; then
+ cd "${S}/hardfp/opt/vc"
+ else
+ cd "${S}/opt/vc"
+ fi
+ insinto /opt/vc
+ doins -r include lib
+ use samples && doins -r src
+ exeinto /opt/vc/bin
+ doexe bin/*
+ exeinto /opt/vc/sbin
+ doexe sbin/*
+
+ dodoc "LICENCE"
+
+ # Create symlinks for header files
+ local vcos_include_dir
+ vcos_include_dir="/opt/vc/include/interface/vcos"
+ local vcos_includes
+ vcos_includes="vcos_futex_mutex.h"
+ vcos_includes+=" vcos_platform.h"
+ vcos_includes+=" vcos_platform_types.h"
+ for vcos_include in ${vcos_includes}; do
+ dosym "${vcos_include_dir}/pthreads/${vcos_include}" \
+ "${vcos_include_dir}/${vcos_include}"
+ done
+
+ local bcm_includes
+ bcm_includes="bcm_host.h"
+ bcm_includes+=" EGL GLES GLES2 IL"
+ bcm_includes+=" interface KHR"
+ bcm_includes+=" vcinclude VG"
+ for bcm_include in ${bcm_includes}; do
+ dosym /opt/vc/include/${bcm_include} /usr/include/${bcm_include}
+ done
+
+ insinto /etc/env.d
+ newins "${FILESDIR}/${PN}.envd" "02${PN}"
+} \ No newline at end of file